public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/python-gvm/
Date: Wed, 25 Mar 2020 13:46:01 +0000 (UTC)	[thread overview]
Message-ID: <1585143926.5485730b192d49b06a529744e29315f06277287c.juippis@gentoo> (raw)

commit:     5485730b192d49b06a529744e29315f06277287c
Author:     Jonas Licht <jonas.licht <AT> fem <DOT> tu-ilmenau <DOT> de>
AuthorDate: Tue Mar 10 21:51:12 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Mar 25 13:45:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5485730b

net-analyzer/python-gvm: Version Bump to 1.2.0

Bug: https://bugs.gentoo.org/712094
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Jonas Licht <jonas.licht <AT> fem.tu-ilmenau.de>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-analyzer/python-gvm/Manifest                |  1 +
 net-analyzer/python-gvm/metadata.xml            |  9 ++++++-
 net-analyzer/python-gvm/python-gvm-1.2.0.ebuild | 34 +++++++++++++++++++++++++
 3 files changed, 43 insertions(+), 1 deletion(-)

diff --git a/net-analyzer/python-gvm/Manifest b/net-analyzer/python-gvm/Manifest
index 6f471dca162..3dfcb652f5f 100644
--- a/net-analyzer/python-gvm/Manifest
+++ b/net-analyzer/python-gvm/Manifest
@@ -1 +1,2 @@
 DIST python-gvm-1.1.0.tar.gz 160289 BLAKE2B 64dbf79f6749c50cddc2b908c45c6aea6c3793f0ddb10a98a96870636ee351f1a2e66227fbcc1383c63e0e015b4c05bf4c116ac80ef35f73f7e9057f9c8dd9b5 SHA512 dae04d42a14adde274c2148f7bd4b47b0ea02d6e249d6c23dfeb15f217f04ad9ff722f2e98d13e1a7add7b61d9dabfec623ab5b45087aaf5f480447fd31a8071
+DIST python-gvm-1.2.0.tar.gz 160700 BLAKE2B 40ef2d6e01dee7a93796c5d2f29db06e2a533860f7c612000ad5250d9b291ce90164e3a7c65c77f7131fc12c4622094b22da4eeb989293ad1b33e2754063ec76 SHA512 3eacec521bbd4cbfaec08d1ccabfe1c97898288b8b56779f9e3ceb734f52d78b93faf92674c1eefc555501e0bfdb16ed26316e87c697bbdc5a673d1be2170c00

diff --git a/net-analyzer/python-gvm/metadata.xml b/net-analyzer/python-gvm/metadata.xml
index 59f08da862e..fd0b9228bd4 100644
--- a/net-analyzer/python-gvm/metadata.xml
+++ b/net-analyzer/python-gvm/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<!-- maintainer-needed -->
+	<maintainer type="person">
+		<email>jonas.licht@gmail.com</email>
+		<name>Jonas Licht</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
 	<longdescription lang="en">
 	The Greenbone Vulnerability Management Python API library (python-gvm) is a collection of 
 	APIs that help with remote controlling a Greenbone Security Manager (GSM) appliance and its 

diff --git a/net-analyzer/python-gvm/python-gvm-1.2.0.ebuild b/net-analyzer/python-gvm/python-gvm-1.2.0.ebuild
new file mode 100644
index 00000000000..8643fbe95e0
--- /dev/null
+++ b/net-analyzer/python-gvm/python-gvm-1.2.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="Greenbone Vulnerability Management Python Library"
+HOMEPAGE="https://www.greenbone.net/en/"
+SRC_URI="https://github.com/greenbone/python-gvm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-python/defusedxml[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+	dev-python/paramiko[${PYTHON_USEDEP}]"
+
+DEPEND="
+	${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	distutils-r1_python_prepare_all
+	# Exlude tests & docs to fix build issue
+	sed \
+		-e "s/packages=find_packages(exclude=.*/packages=find_packages(exclude=['tests*', 'docs']),/g" \
+		-i "$S"/setup.py || die
+}


             reply	other threads:[~2020-03-25 13:46 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-25 13:46 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-02 19:31 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/python-gvm/ Michał Górny
2024-12-07 21:33 Florian Schmaus
2024-12-07 21:33 Florian Schmaus
2024-12-01 14:02 Sam James
2024-09-14 10:09 Florian Schmaus
2024-07-23  3:55 Sam James
2024-04-30  8:15 Florian Schmaus
2024-02-28 20:50 Jakov Smolić
2024-01-23 13:30 Florian Schmaus
2023-11-21  8:01 Florian Schmaus
2023-11-14  7:53 Florian Schmaus
2023-10-16 13:42 Florian Schmaus
2023-07-03  8:15 Florian Schmaus
2023-04-09 16:03 Michał Górny
2022-09-18 13:58 Michał Górny
2022-05-09 12:07 Florian Schmaus
2022-05-02 17:53 Florian Schmaus
2022-05-02 11:16 Florian Schmaus
2021-05-31 20:53 Michał Górny
2021-04-12 22:50 Sam James
2021-03-22 13:36 Joonas Niilola
2020-08-21  7:15 Joonas Niilola
2020-07-14 12:57 Joonas Niilola
2020-03-03  6:03 Joonas Niilola
2020-01-03 10:09 Joonas Niilola
2020-01-03 10:09 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1585143926.5485730b192d49b06a529744e29315f06277287c.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox